﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=10
@EndOfDesignText@
Sub Class_Globals
	Private Root As B4XView 'ignore
	Private xui As XUI 'ignore
	Private Button1 As Button
	Private clv1 As CustomListView
	Private biv1 As B4XImageView
	Private lbldescription As Label
	Private lbltitle As Label
	Public notesmap As Map
	Public photodialog As B4XDialog
	Public bivdialog As B4XImageView
	Public lbldialogdescription As Label
	Public lbldialogtitle As Label
	Private pnimage As Pane
End Sub
Public Sub Initialize As Object
	Return Me
End Sub
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("page10_layout")
	B4XPages.SetTitle(Me,"page10 - 10. Image and label items")
	Dim frm As Form = B4XPages.GetNativeParent(Me)
	frm.WindowLeft = 700
	frm.WindowTop = 10
	notesmap.Initialize
	notesmap.Clear
	notesmap = set_notes_map
	photodialog.Initialize(Root)
	photodialog.PutAtTop = True
	photodialog.BodyTextColor = xui.Color_Blue
	photodialog.BackgroundColor = xui.Color_LightGray
End Sub
Private Sub B4XPage_Appear
	fill_clv1
End Sub
Private Sub fill_clv1
	clv1.Clear
	Dim fnames As List = get_filenames
	Dim itemlst As List = get_titleitems
	For i = 0 To itemlst.Size -1
		Dim item As String = itemlst.Get(i)
		Dim fname As String = fnames.Get(i)
		Dim note As String = notesmap.Get(item)
		Dim pn As Pane = set_clv1_item(i,fname,item,note)
		clv1.Add(pn,itemlst.Get(i))
	Next
End Sub
Private Sub set_clv1_item(index As Int, fname As String, title As String, descr As String) As Pane
	Dim pn As Pane
	pn.Initialize("")
	pn.LoadLayout("clv1page10item_layout")
	pn.SetLayoutAnimated(0, 0, 0, 560,100)
	pnimage.Tag = index
	biv1.Load(File.DirAssets,fname)
	biv1.Tag = fname
	lbltitle.Text = title
	lbltitle.Tag = index
	lbldescription.Text = descr
	lbldescription.Tag = index
	Return pn
End Sub
Private Sub get_filenames As List
	Dim fnamelst As List = Array As String("amalfi_coast_italy_small.png", "aurora_borealis_iceland_small.png", _
						"banff_national_park_canada_small.png", "machu_picchu_peru_small.png", "maldives_small.png", _
						"mount_fuji_japan_small.png","santorini_greece_small.png")
	Return fnamelst
End Sub
Private Sub get_titleitems As List
	Dim itlst As List = Array As String("Italy", "Iceland", "Canada", "Peru", "Maldives","Japan","Greece")
	Return itlst
End Sub
Private Sub set_notes_map As Map
	Dim nmap As Map = CreateMap("Italy":"Amalfi Coast with its cliffs villages and vineyards","Iceland":"Aurora Borealis or Nothern Lights seen from Iceland", _
								"Canada":"Banff National Park natural wonderland","Peru":"ancient Incan citadel of Machu Picchu", _
								"Maldives":"idyllic island nation in the Indian Ocean","Japan":"Japan's famous and holy volcano mount Fuji","Greece":"the lovely Greek island of Santorini")
	Return nmap
End Sub

Private Sub clv1_ItemClick (Index As Int, Value As Object)
	Dim biv As B4XImageView = clv1.GetPanel(Index).GetView(0).GetView(0).Tag
	Dim fname As String = biv.tag
	Dim title As String = clv1.GetPanel(Index).GetView(1).Text
	Dim descr As String = clv1.GetPanel(Index).GetView(2).Text
	show_imagefile_dialog(fname,title,descr)
End Sub
Private Sub Button1_Click
	B4XPages.ClosePage(Me)
End Sub
Sub show_imagefile_dialog(imgfile As String, title As String, descr As String)
	Dim pnl1 As Pane = setup_imagefile_dialog("photodialog_layout",imgfile,title,descr)
	Wait For (photodialog.ShowCustom(pnl1, "OK", "", "")) Complete (Result As Int)
	If Result = xui.dialogResponse_Positive Then
		'
	End If
End Sub
Sub setup_imagefile_dialog(strlayout As String,fname As String,title As String,descr As String) As Pane
	Dim frmwidth As Int = B4XPages.GetNativeParent(B4XPages.MainPage).RootPane.Width
	Dim frmheight As Int = B4XPages.GetNativeParent(B4XPages.MainPage).RootPane.Height
	Dim pnl As B4XView = xui.CreatePanel("")
	pnl.SetLayoutAnimated(0, 0dip, 0dip, frmwidth-10dip, frmheight-60dip)
	pnl.LoadLayout(strlayout)
	lbldialogtitle.Text = title
	lbldialogdescription.Text = descr
	bivdialog.Load(File.DirAssets,fname)
	Return pnl
End Sub
Private Sub biv_MouseClicked(EventData As MouseEvent)
	Dim pn As Pane = Sender
	Dim tag As Int = pn.Tag
	Dim biv As B4XImageView = pn.GetNode(0).Tag
	Dim vwtext As String = biv.Tag
	Dim info As String = $"Item index: ${tag}
File name: ${vwtext}"$
	xui.MsgboxAsync(info,"Image info")
	EventData.Consume
End Sub