﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=10
@EndOfDesignText@
Sub Class_Globals
	Private Root As B4XView 'ignore
	Private xui As XUI 'ignore
	Private fx As JFX
	Private Button1 As Button
	Private clv1 As CustomListView
	Private lblfont As Label
End Sub
Public Sub Initialize As Object
	Return Me
End Sub
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("page12_layout")
	B4XPages.SetTitle(Me,"page12 - 12. Font family selection clv")
	Dim frm As Form = B4XPages.GetNativeParent(Me)
	frm.WindowLeft = 700
	frm.WindowTop = 10
End Sub
Private Sub B4XPage_Appear
	fill_clv1
End Sub
Private Sub fill_clv1
	clv1.Clear
	Dim fonts As List = get_labelitems
	For i = 0 To fonts.Size -1
		Dim pnl As Pane = set_clv1_item(i, fonts.Get(i))
		clv1.Add(pnl,fonts.Get(i))
	Next
End Sub
Private Sub set_clv1_item(index As Int, font As String) As Pane
	Dim pn As Pane
	pn.Initialize("")
	pn.LoadLayout("clv1page12item_layout")
	pn.SetLayoutAnimated(0, 0, 0, 560,60)
	lblfont.Font = fx.CreateFont(font,20,False,False)
	lblfont.TextSize = 20
	lblfont.Text = font
	Return pn
End Sub
Private Sub clv1_ItemClick (Index As Int, Value As Object)
	show_selection_info(Index,Value)
End Sub
Private Sub get_labelitems As List
	Dim fontlst As List = fx.GetAllFontFamilies
	Return fontlst
End Sub
Private Sub Button1_Click
	B4XPages.ClosePage(Me)
End Sub
Private Sub show_selection_info(index As Int, value As Object)
	Dim info As String = $"Item index: ${index}
Item value: ${value}"$
	xui.MsgboxAsync(info,"Selection info")
'	Log(info)
End Sub
