﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=10
@EndOfDesignText@
Sub Class_Globals
	Private Root As B4XView 'ignore
	Private xui As XUI 'ignore
	Private clv1 As CustomListView
	Public notesmap As Map
	Private Button1 As Button
	Private ta1 As TextArea
	Private tbtnmore As ToggleButton
	Private Label1 As Label
End Sub
Public Sub Initialize As Object
	Return Me
End Sub
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("page8_layout")
	B4XPages.SetTitle(Me,"page8 - 8. Expandable items")
	Dim frm As Form = B4XPages.GetNativeParent(Me)
	frm.WindowLeft = 700
	frm.WindowTop = 10
	notesmap.Initialize
	notesmap.Clear
	notesmap = set_notes_map
End Sub
Private Sub B4XPage_Appear
	fill_clv1
End Sub
Private Sub fill_clv1
	clv1.Clear
	Dim itemlst As List = get_textitems
	For i = 0 To itemlst.Size -1
		Dim item As String = itemlst.Get(i)
		Dim note As String = notesmap.Get(item)
		Dim pn As Pane = set_clv1_item(i,item,note)
		clv1.Add(pn,itemlst.Get(i))
	Next
End Sub
Private Sub set_clv1_item(index As Int, name As String, note As String) As Pane
	Dim pn As Pane
	pn.Initialize("")
	pn.LoadLayout("clv1page8item_layout")
	pn.SetLayoutAnimated(0, 0, 0, ta1.Width,ta1.Height)
	pn.PrefHeight = 200
	pn.PrefWidth = pn.Width
	Label1.Text = name
	ta1.Text = note
	ta1.Tag = index
	tbtnmore.Tag = index
	tbtnmore.Selected = False
	Return pn
End Sub
Private Sub clv1_ItemClick (Index As Int, Value As Object)
	For i = 0 To clv1.Size -1
		If i = Index Then
			Dim tbtn As ToggleButton = clv1.GetPanel(i).GetView(1)
			tbtn.Selected = True
		Else
			Dim tbtn As ToggleButton = clv1.GetPanel(i).GetView(1)
			tbtn.Selected = False
		End If
	Next
	show_selection_info(Index,Value)
End Sub
Private Sub get_textitems As List
	Dim itlst As List = Array As String("Charlie", "Frieda", "Hugo", "Ingrid", "Ron")
	Return itlst
End Sub
Private Sub set_notes_map As Map
	Dim nmap As Map = CreateMap("Charlie":"a great actor","Frieda":"she can sing", _
								"Hugo":"a famous writer","Ingrid":"she knows how to fight", _
								"Ron":"an actor who became a director")
	Return nmap
End Sub
Private Sub Button1_Click
	B4XPages.ClosePage(Me)
End Sub
Private Sub show_selection_info(index As Int, value As Object)
	Dim vwtext As String = clv1.GetPanel(index).GetView(0).Text	' the internal panel and label view
	Dim info As String = $"Item index: ${index}
Item value: ${value}
First view (0) Text property:
${vwtext}"$
	xui.MsgboxAsync(info,"Selection info")
'	Log(info)
End Sub
Private Sub tbtnmore_SelectedChange(Selected As Boolean)
	Dim tbtn As ToggleButton = Sender
	expand_item(tbtn,Selected)
End Sub
Private Sub expand_item(tbtn As ToggleButton, expanded As Boolean)
	If expanded Then
		clv1.ResizeItem(tbtn.Tag, 200)
	Else
		clv1.ResizeItem(tbtn.Tag, 40)
	End If
End Sub